List SSL certificates
curl -X GET "https://api.5centscdn.com/v2/account/ssl" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/account/ssl"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/ssl", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/account/ssl", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/ssl')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"certs": [
{
"id": 12345,
"name": "sample-ssl-certificate",
"crt": "-----BEGIN CERTIFICATE-----\r
...\r
-----END CERTIFICATE-----",
"key": "--- redacted ---",
"cabundle": "-----BEGIN CERTIFICATE-----\r
...\r
-----END CERTIFICATE-----",
"domain": "example.com",
"sans": [
"example.com",
"www.example.com"
],
"expiry": "2027-01-01",
"installs": 0,
"expired": false,
"validFrom": "2026-01-01"
}
]
}
GET
/account/ssl
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
resultstring
Operation outcome.
certsarray
List of SSL certificates uploaded to this service account.
idinteger
Unique identifier of the SSL certificate.
namestring
Friendly name assigned to the SSL certificate.
crtstring
PEM-encoded X.509 certificate.
keystring
Always returned as redacted for security.
cabundlestring
PEM-encoded CA bundle.
domainstring
Common Name (CN) extracted from the certificate.
sansstring[]
Subject Alternative Names extracted from the certificate.
expirystring
Certificate expiration date.
installsinteger
Number of CDN zones or streams currently using this certificate.
expiredboolean
True when the certificate expiration date is in the past.
validFromstring
Certificate valid-from date.
Was this page helpful?